///
/// @author Darek Pryczek
/// @created 2012-03-15
///

#define inPosition	v0
#define inColor		v1

#define outPosition	o0
#define outColor	o1

#define projMtx c0
#define modelViewMtx c4

#pragma bind_symbol(inPosition,			v0, v0)
#pragma bind_symbol(inColor,			v1, v1)

#pragma bind_symbol(projectionMtx,	c0, c3)
#pragma bind_symbol(modelViewMtx,	c4, c7)

#pragma output_map (position, o0)
#pragma output_map (color,    o1)

#define consts c90
def consts, 0.0039215686, 0.0, 0.0, 0.0

main:
	// To mozna zoptymalizowac uzywajac jednej macierzy, mozna tez mnozyc przez 4x3 nie 4x4.
	// Rotacja o 90 stopni (ekranik 3DS) jest robiona za pomoca projection matrix.
	m4x4	r4, inPosition, modelViewMtx
	m4x4	r5, r4, projMtx
	
	mov		outPosition, r5
	mul		outColor, inColor, consts.x
	
    end
endmain:
